<?php
	session_start();
	if($_SESSION['subadm'])
	{
		$userid=1111;
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
		
		$query2="select * from distributer where Userid=$userid";
		$result2=mysqli_query($con,$query2);
		$data=mysqli_fetch_array($result2);
		$username=$data['Name'];
		$parentid=$data['Parentid'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 
 .rechhistoryhead{width:1300px; height:40px;
 margin:10 20px;}
 .rechhistoryhead h3{margin-left:20px; line-height:40px;}
 .search{height:70px; width:97%; margin:10 20px;}
 .search input{margin:30 10px;}
.viewstatus{width:1600px; height:40px; background:#996420; margin-left:20px; line-height:40px;}
.viewstatus h3{margin-left:20px; color:white;}
#t1{ width:1600px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
#green{color:#19dc42;}
#blue{color:blue;}
#red{color:red;}

#sp{color:#19dc42; text-decoration:none;}
#fp{color:red; text-decoration:none;}
 
 .foot{float:left; margin:10 0 0 100px; width:1350px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
		<div class="rechhistoryhead">
		<h3>Recharge Status<h3>
	</div><hr>
	<div class="search">
	
		<form method="post">
		Recharge Id: <input type="text" name="rechid">
		 <input type="submit" name="submit">
		 </form>
	</div>
	<div class="viewstatus">
		<h3>View Status</h3>
	</div>
		<table border="1" cellpadding="10" id="t1">
			<tr>
				<th>Recharge Id</th>
				<th>Partener Id</th>
				<th>Transaction Id</th>
				<th>Date | Time</th>
				<th>E-Wallet Id</th>
				<th>Retailer Name</th>
				<th>Company</th>
				<th>Mobile No.</th>
				<th>Amount</th>
				<th>Operator Id</th>
				<th>Lapu</th>
				<th>API</th>
				<th>Status</th>
				<th>#FAILED</th>
				<th>#RESUCCESS</th>
				<th>#UPDATE STATUS</th>
				<th>#REHIT</th>
			</tr>
	<?php
		include'connection.php';
		    
		    $rechid=$_GET['id'];
		

		if(isset($_POST['submit']))
		{
			$rechid=$_POST['rechid'];
			
			$query="select * from recharge where Id='$rechid'";
			$result=mysqli_query($con,$query);
			$data=mysqli_fetch_array($result);
			$uid=$data['Userid'];
			
			$getRetName="select * from retailer where Userid='$uid'";
			$reGetName=mysqli_query($con,$getRetName);
			$dataGetName=mysqli_fetch_array($reGetName);
			$Retname=$dataGetName['Name'];
			if($data['Status']=="SUCCESS")
			{
				$color="green";
			}
			elseif($data['Status']=="PENDING")
			{
			    $color="blue";
			}
			else
			{
				$color="red";
			}
			if($data['Id']==$rechid || $data['Mobile'])
			{
				echo "<tr>";
					echo "<td>".$data['Id']."</td>";
					echo "<td>".$data['Partnerid']."</td>";
					echo "<td>".$data['Transactionid']."</td>";
					echo "<td>".$data['Rechargedate']." | ".$data['Time']."</td>";
					echo "<td><a href='txnByEwallet.php?id=".$data['Ewalletid']."' target='_blank'>".$data['Ewalletid']."</a> , <a href='txnByEwallet.php?id=".$data['Creditewalletid']."' target='_blank'>".$data['Creditewalletid']."</a></td>";
					echo "<td>".$Retname."[".$uid."]</td>";
					echo "<td>".$data['Companyname']."</td>";
					echo "<td>".$data['Mobile']."</td>";
					echo "<td>".$data['Amount']."</td>";
					echo "<td>".$data['Operatorid']."</td>";
    				echo "<td><a href='RechargeHistoryByLapu.php?lapuId=".$data['LapuNo']."&rechId=".$data['Id']."&date=".$data['Rechargedate']."' target='_blank'>".$data['LapuNo']."</td>";
					echo "<td>".$data['API']."</td>";
					echo "<td id='$color'>".$data['Status']."</td>";
					echo "<td> <a href='failed.php?id=".$data['Id']."' id='fp'>Failed</a></td>";
					echo "<td> <a href='resuccess.php?id=".$data['Id']."' id='sp'>Resuccess</a></td>";
					echo "<td> <a href='update_status.php?id=".$data['Id']."' target='_blank'>Update Status</a></td>";
					echo "<td> <a href='re_hit.php?id=".$data['Id']."' target='_blank'>Re Hit</a></td>";
				echo "<tr>";
			}
			else
			{
				echo "Recharge Not Found !";
			}
		}
		else
		{
		    $query="select * from recharge where Id='$rechid'";
			$result=mysqli_query($con,$query);
			$data=mysqli_fetch_array($result);
			$uid=$data['Userid'];
			
			$getRetName="select * from retailer where Userid='$uid'";
			$reGetName=mysqli_query($con,$getRetName);
			$dataGetName=mysqli_fetch_array($reGetName);
			$Retname=$dataGetName['Name'];
			if($data['Status']=="SUCCESS")
			{
				$color="green";
			}
			elseif($data['Status']=="PENDING")
			{
			    $color="blue";
			}
			else
			{
				$color="red";
			}
			if($data['Id']==$rechid || $data['Mobile'])
			{
				echo "<tr>";
					echo "<td>".$data['Id']."</td>";
					echo "<td>".$data['Partnerid']."</td>";
					echo "<td>".$data['Transactionid']."</td>";
					echo "<td>".$data['Rechargedate']." | ".$data['Time']."</td>";
					echo "<td><a href='txnByEwallet.php?id=".$data['Ewalletid']."' target='_blank'>".$data['Ewalletid']."</a> , <a href='txnByEwallet.php?id=".$data['Creditewalletid']."' target='_blank'>".$data['Creditewalletid']."</a></td>";
					echo "<td>".$Retname."[".$uid."]</td>";
					echo "<td>".$data['Companyname']."</td>";
					echo "<td>".$data['Mobile']."</td>";
					echo "<td>".$data['Amount']."</td>";
					echo "<td>".$data['Operatorid']."</td>";
    				echo "<td><a href='RechargeHistoryByLapu.php?lapuId=".$data['LapuNo']."&rechId=".$data['Id']."&date=".$data['Rechargedate']."' target='_blank'>".$data['LapuNo']."</td>";
					echo "<td>".$data['API']."</td>";
					echo "<td id='$color'>".$data['Status']."</td>";
					echo "<td> <a href='failed.php?id=".$data['Id']."' id='fp'>Failed</a></td>";
					echo "<td> <a href='resuccess.php?id=".$data['Id']."' id='sp'>Resuccess</a></td>";
					echo "<td> <a href='update_status.php?id=".$data['Id']."' target='_blank'>Update Status</a></td>";
					echo "<td> <a href='re_hit.php?id=".$data['Id']."' target='_blank'>Re Hit</a></td>";
				echo "<tr>";
			}
			else
			{
				echo "Recharge Not Found !";
			}
		}
	?>
		</table>

	<div class="viewstatus">
		<h3>Account Status</h3>
	</div>
		<table border="1" cellpadding="10" id="t1">
			<tr>
				<th>Recharge Id</th>
				<th>Date | Time</th>
				<th>E-Wallet Id</th>
				<th>Retailer Name</th>
				<th>Transaction Type</th>
				<th>Discription</th>
				<th>Opening Bal.</th>
				<th>Credit Amount</th>
				<th>Debit Amount</th>
				<th>Closing Bal.</th>
			</tr>
	<?php
		include'connection.php';
		if(isset($_POST['submit']))
		{
			$rechid=$_POST['rechid'];
			
			$query1="select * from wallet where Userid='$uid' and Paynrechid='$rechid' order by Id asc";
			$result1=mysqli_query($con,$query1);
			$data1=mysqli_fetch_array($result1);
			$mobile=$data1['Mobile'];
			$amount=$data1['Amount'];
			$Operator=$data1['Operator'];
			if($data1['Paynrechid']==$rechid)
			{
				echo "<tr>";
					echo "<td>".$data1['Paynrechid']."</td>";
					echo "<td>".$data1['Date']." | ".$data1['Time']."</td>";
					echo "<td><a href='txnByEwallet.php?id=".$data1['Id']."' target='_blank'>".$data1['Id']."</a></td>";
					echo "<td>".$Retname."[".$uid."]</td>";
					echo "<td>".$data1['Transactiontype']."</td>";
					echo "<td>".$mobile." || ".$amount." || ".$Operator."</td>";
					echo "<td>".$data1['Openingbalance']."</td>";
					echo "<td>".$data1['Credit']."</td>";
					echo "<td>".$data1['Debit']."</td>";
					echo "<td>".$data1['Balance']."</td>";
				echo "<tr>";
			}
	
		}
		else
		{
		    $query1="select * from wallet where Userid='$uid' and Paynrechid='$rechid' order by Id asc";
			$result1=mysqli_query($con,$query1);
			$data1=mysqli_fetch_array($result1);
			$mobile=$data1['Mobile'];
			$amount=$data1['Amount'];
			$Operator=$data1['Operator'];
			if($data1['Paynrechid']==$rechid)
			{
				echo "<tr>";
					echo "<td>".$data1['Paynrechid']."</td>";
					echo "<td>".$data1['Date']." | ".$data1['Time']."</td>";
					echo "<td><a href='txnByEwallet.php?id=".$data1['Id']."' target='_blank'>".$data1['Id']."</a></td>";
					echo "<td>".$Retname."[".$uid."]</td>";
					echo "<td>".$data1['Transactiontype']."</td>";
					echo "<td>".$mobile." || ".$amount." || ".$Operator."</td>";
					echo "<td>".$data1['Openingbalance']."</td>";
					echo "<td>".$data1['Credit']."</td>";
					echo "<td>".$data1['Debit']."</td>";
					echo "<td>".$data1['Balance']."</td>";
				echo "<tr>";
			}
		}
	?>
		</table>
		
	<div class="viewstatus">
		<h3>Refund Status</h3>
	</div>
		<table border="1" cellpadding="10" id="t1">
			<tr>
				<th>Recharge Id</th>
				<th>Date | Time</th>
				<th>E-Wallet Id</th>
				<th>Retailer Name</th>
				<th>Transaction Type</th>
				<th>Discription</th>
				<th>Opening Bal.</th>
				<th>Credit Amount</th>
				<th>Debit Amount</th>
				<th>Closing Bal.</th>
			</tr>
	<?php
		include'connection.php';
		if(isset($_POST['submit']))
		{
			$rechid=$_POST['rechid'];
			
			$query2="select * from wallet where Userid='$uid' and Paynrechid='$rechid' order by Id desc";
			$result2=mysqli_query($con,$query2);
			$data2=mysqli_fetch_array($result2);
			$mobile=$data1['Mobile'];
			$amount=$data1['Amount'];
			$Operator=$data1['Operator'];
			if($data2['Paynrechid']==$rechid && $data2['Transactiontype']=='Recharge_Refund')
			{
				echo "<tr>";
					echo "<td>".$data2['Paynrechid']."</td>";
					echo "<td>".$data2['Date']." | ".$data2['Time']."</td>";
					echo "<td><a href='txnByEwallet.php?id=".$data2['Id']."' target='_blank'>".$data2['Id']."</a></td>";
					echo "<td>".$Retname."[".$uid."]</td>";
					echo "<td>".$data2['Transactiontype']."</td>";
					echo "<td>".$mobile." || ".$amount." || ".$Operator."</td>";
					echo "<td>".$data2['Openingbalance']."</td>";
					echo "<td>".$data2['Credit']."</td>";
					echo "<td>".$data2['Debit']."</td>";
					echo "<td>".$data2['Balance']."</td>";
				echo "<tr>";
			}
		}
		else
		{
		    $query2="select * from wallet where Userid='$uid' and Paynrechid='$rechid' order by Id desc";
			$result2=mysqli_query($con,$query2);
			$data2=mysqli_fetch_array($result2);
			$mobile=$data1['Mobile'];
			$amount=$data1['Amount'];
			$Operator=$data1['Operator'];
			if($data2['Paynrechid']==$rechid && $data2['Transactiontype']=='Recharge_Refund')
			{
				echo "<tr>";
					echo "<td>".$data2['Paynrechid']."</td>";
					echo "<td>".$data2['Date']." | ".$data2['Time']."</td>";
					echo "<td><a href='txnByEwallet.php?id=".$data2['Id']."' target='_blank'>".$data2['Id']."</a></td>";
					echo "<td>".$Retname."[".$uid."]</td>";
					echo "<td>".$data2['Transactiontype']."</td>";
					echo "<td>".$mobile." || ".$amount." || ".$Operator."</td>";
					echo "<td>".$data2['Openingbalance']."</td>";
					echo "<td>".$data2['Credit']."</td>";
					echo "<td>".$data2['Debit']."</td>";
					echo "<td>".$data2['Balance']."</td>";
				echo "<tr>";
			}
		}
	?>
		</table>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>